Skip to main content
GET
/
v1
/
agents
/
{id}
/
versions
/
{versionId}
Get agent version with nodes
curl --request GET \
  --url https://api.vatel.ai/v1/agents/{id}/versions/{versionId} \
  --header 'Authorization: Bearer <token>'
{
  "version": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "published_at": "2023-11-07T05:31:56Z",
    "tag": "<string>"
  },
  "nodes": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Send your organization API key as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

Agent id

versionId
string<uuid>
required

Agent version id

Response

Version and nodes

An agent version plus all of its nodes.

version
object
required

An agent version (tagged snapshot of the conversation flow).

nodes
object[]
required

Nodes wired for this version.